; Файл конфигураций Key&Say Guardian v1.29

; Флаг иммунитета ко всем функциям плагина.
; "" - выкл;
; "a"; "abc".
ksg_immunity_flag "a"



; Обнаружение рекламных сообщений:
; "0" - выкл;
; "1" - просто блокировать рекламу;
; "2" - меню с выбором.
ksg_spam_mode "2"

; Обнаружение повторяющихся сообщение и запись их в файл (../ksg/logs/ksg_repeat_messages.txt):
; "0" - выкл;
; "1" - вкл.
ksg_spam_repeat "1"

; Минимальная длина сообщения для записи его в массив сравнения:
; Не трогайте если не понимаете что это!
ksg_spam_repeat_len "13"



; Обнаружение рекламы в нике игрока:
; "0" - выкл;
; "1" - кик игрока;
; "2" - меню с выбором;
; "3" - принудительная смена ника.
ksg_name_mode "2"

; Новый ник игрока:
; "[KSG] Player".
ksg_name "[KSG] Player"



; Детект чит-кнопок:
; "0" - выкл;
; "1" - оповещение админа;
; "2" - оповещение админа + наказание.
ksg_cheatkey "1"

; Сколько раз можно нажать чит-кнопку, после чего последует наказание:
; "0" - без предупреждений.
ksg_cheatkey_warn "3"

; Время бана за использование чит-кнопок:
ksg_cheatkey_bantime "240"

; Наказание за использование чит-кнопок:
; %userid% - ID игрока;
; %username% - Ник игрока;
; %reason% - Причина;
; %bantime% - Время бана;
; %steamid% - Steam ID;
; %userip% - IP игрока.
ksg_cheatkey_punish "kick %userid% %reason%"